import 'package:equatable/equatable.dart';

abstract class ShiftDetailsEvent extends Equatable {
  const ShiftDetailsEvent();

  @override
  List<Object?> get props => [];
}

class LoadShiftDetailsEvent extends ShiftDetailsEvent {
  final String shiftId;
  const LoadShiftDetailsEvent(this.shiftId);

  @override
  List<Object?> get props => [shiftId];
}

class BookShiftDetailsEvent extends ShiftDetailsEvent {
  final String shiftId;
  const BookShiftDetailsEvent(this.shiftId);

  @override
  List<Object?> get props => [shiftId];
}

class DeclineShiftDetailsEvent extends ShiftDetailsEvent {
  final String shiftId;
  const DeclineShiftDetailsEvent(this.shiftId);

  @override
  List<Object?> get props => [shiftId];
}
